// File automatically generated by ESPAM

#ifndef csdfNode_H
#define csdfNode_H
#include <string>

class csdfNode{
public:
  csdfNode();
  virtual ~csdfNode();
  //abstract main function
    virtual void main(void *threadarg) = 0;
};
#endif // csdfNode_H
